library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity poslednja_runda_Rx is
	port
	(
		data_in:		in  STD_LOGIC_VECTOR (127 downto 0);
		kljuc_in:	in  STD_LOGIC_VECTOR (127 downto 0);
		data_out:	out  STD_LOGIC_VECTOR (127 downto 0)
	);
end poslednja_runda_Rx;

architecture shema of poslednja_runda_Rx is

	component inv_add_round_key is
		Port
		(
			data_in  : in   STD_LOGIC_VECTOR (127 downto 0);
			kljuc_in : in   STD_LOGIC_VECTOR (127 downto 0);
			data_out : out  STD_LOGIC_VECTOR (127 downto 0)
		);
	end component;
	
begin
	add_key_inst: inv_add_round_key 
		Port map
		(
			data_in  => data_in,
			kljuc_in => kljuc_in,
			data_out =>data_out
		);

end shema;

